import {StatusHistory} from "@shared/models/status-history.model";
import {StatusModel} from "@shared/models/status.model";
import {StatusHistoryNamespace} from "@shared/stores/status-history/status-history-namespace.model";
import {Observable} from "rxjs";
import {QueryParameters} from "solidify-frontend";

export interface StatusHistoryDialog {
  parentId: string;
  resourceResId: string;
  name: string;
  statusHistory: Observable<StatusHistory[]>;
  isLoading: Observable<boolean>;
  queryParametersObs: Observable<QueryParameters>;
  state: StatusHistoryNamespace;
  statusEnums: StatusModel[];
}
